﻿DeclareModule Win32
	Declare.i FileExist(PathAndFileName.s)
	Declare.i FolderExist(PathAndFileNAme.s)
EndDeclareModule
Module Win32
	; ### Check if a certain file exist
	Procedure.i FileExist(PathAndFileName.s)	
		Protected.Win32_Find_Data fd	
		Protected.i hFind	
		If Len(PathAndFileNAme)
			hFind = FindFirstFile_(PathAndFileName, fd)
			If hfind = #INVALID_HANDLE_VALUE
				ProcedureReturn #False
			EndIf
			FindClose_(hFind)
			If (fd\dwFileAttributes & #FILE_ATTRIBUTE_DIRECTORY) <> #FILE_ATTRIBUTE_DIRECTORY And (fd\dwFileAttributes & #FILE_ATTRIBUTE_TEMPORARY) <> #FILE_ATTRIBUTE_TEMPORARY
				ProcedureReturn #True
			EndIf
		EndIf
		ProcedureReturn #False
	EndProcedure
	
	; ### Check if a certain folder exist
	Procedure.i FolderExist(PathAndFileNAme.s)
		Protected.Win32_Find_Data fd	
		Protected.i hFind	
		If Len(PathAndFileNAme)
			hFind = FindFirstFile_(PathAndFileName, fd)
			If hfind = #INVALID_HANDLE_VALUE
				ProcedureReturn #False
			EndIf
			FindClose_(hFind)
			If (fd\dwFileAttributes & #FILE_ATTRIBUTE_DIRECTORY) = #FILE_ATTRIBUTE_DIRECTORY
				ProcedureReturn #True
			EndIf
		EndIf	
		ProcedureReturn #False
	EndProcedure
EndModule

; IDE Options = PureBasic 5.62 (Windows - x64)
; CursorPosition = 11
; Folding = -
; EnableXP