﻿Enumeration io_err_ 0 Step 10
	#io_err_all_ok 
	#io_err_file_not_found = 1000
	#io_err_illegalvariable
	#io_err_old_version
	#io_err_no_version_id_exists
	#io_err_no_namecheck_exists
	#io_err_data_Structure_Error
	#io_err_sub_application_path_missing
	#io_err_sub_Serverpath_not_found
	#io_err_sub_namechecks_error
	#Io_err_No_Data
	#Io_err_WrongVersion
	#io_err_CouldNotWriteFile
	#io_err_CouldNotDeleteFile
	#io_err_CouldNotOpenFile
	#io_err_fileheaderid_error
	#io_err_ToManyInventoryItems
	#io_err_UnknownControlCode
EndEnumeration


Procedure.s ReturnErrorInText(errMsg.i)
	Protected.s Text 	
	Select errMsg
		Case #io_err_all_ok 
			Text = "All is ok."	
		Case #io_err_file_not_found
			Text = "File not found"
		Case #io_err_illegalvariable
			Text = "Illegal variable"
		Case #io_err_old_version
			Text = "To old version"
		Case #io_err_no_version_id_exists
			Text = "No Version ID exist"
		Case #io_err_no_namecheck_exists
			Text = "No Name check exist"
		Case #io_err_data_Structure_Error
			Text = "Data Structure Error"
		Case #io_err_sub_application_path_missing
			Text = "Sub application Path Missing"
		Case #io_err_sub_Serverpath_not_found
			Text = "Serverpath not found"
		Case #io_err_sub_namechecks_error
			Text = "Name check error"
		Case #Io_err_No_Data
			Text = "No Data"
		Case #Io_err_WrongVersion
			Text = "Wrong version"
		Case #io_err_CouldNotWriteFile
			Text = "Could not Write file"
		Case #io_err_CouldNotDeleteFile
			Text = "Could not delete file"
		Case #io_err_CouldNotOpenFile
			Text = "Could not Open File"
		Case #io_err_fileheaderid_error
			Text = "file Header ID error"
		Case #io_err_ToManyInventoryItems
			Text = "To many Inventory Items"
		Case #io_err_UnknownControlCode
			Text = "Unknown Control Code"
		Default
			Text = "unknown Error Value"
	EndSelect
	ProcedureReturn Text
EndProcedure
; IDE Options = PureBasic 5.62 (Windows - x64)
; CursorPosition = 64
; FirstLine = 10
; Folding = -
; EnableXP